Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 578246 - dev-perl/Mail-SPF-2.9.0-r1 runs network tests and fails
Summary: dev-perl/Mail-SPF-2.9.0-r1 runs network tests and fails
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2016-03-25 18:51 UTC by Andreas K. Hüttel
Modified: 2019-10-17 10:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2016-03-25 18:51:55 UTC
>>> Test phase: dev-perl/Mail-SPF-2.9.0-r1
 * Test::Harness Jobs=9
t/00.00-class-misc.t ......... ok                                       
t/10.00-rfc4408.t ............ skipped: Mail::SPF::Test required for testing Mail::SPF's RFC compliance
t/10.01-rfc4406.t ............ skipped: Mail::SPF::Test required for testing Mail::SPF's RFC compliance
t/00.01-class-util.t ......... ok                                       
t/00.03-class-result.t ....... ok                                       
t/00.02-class-request.t ...... ok                                       
t/00.99-class-misc.t ......... ok                                       
t/00.05-class-macrostring.t .. ok                                       
t/00.04-class-server.t ....... 13/23 deprecated method; see RT#37104 at /var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/work/Mail-SPF-v2.9.0/blib/lib/Mail/SPF/Server.pm line 566.
t/00.04-class-server.t ....... 16/23 Unknown error on DNS 'A' lookup of 'example.com' (EDNSError) at /var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/work/Mail-SPF-v2.9.0/blib/lib/Mail/SPF/Server.pm line 573.
# Looks like you planned 23 tests but ran 19.
# Looks like your test exited with 255 just after 19.
t/00.04-class-server.t ....... Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 4/23 subtests 

Test Summary Report
-------------------
t/00.04-class-server.t     (Wstat: 65280 Tests: 19 Failed: 0)
  Non-zero exit status: 255
  Parse errors: Bad plan.  You planned 23 tests but ran 19.
Files=9, Tests=128,  3 wallclock secs ( 0.04 usr  0.00 sys +  0.63 cusr  0.08 csys =  0.75 CPU)
Result: FAIL
Failed 1/9 test programs. 0/128 subtests failed.
 * ERROR: dev-perl/Mail-SPF-2.9.0-r1::gentoo failed (test phase):
 *   test failed
 * 
 * Call stack:
 *     ebuild.sh, line  133:  Called src_test
 *   environment, line 2543:  Called perl-module_src_test
 *   environment, line 2184:  Called die
 * The specific snippet of code:
 *           ./Build test verbose=${my_test_verbose} || die "test failed";
 * 
 * If you need support, post the output of `emerge --info '=dev-perl/Mail-SPF-2.9.0-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-perl/Mail-SPF-2.9.0-r1::gentoo'`.
 * The complete build log is located at '/var/log/portage/build/dev-perl/Mail-SPF-2.9.0-r1:20160325-184913.log.gz'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/work/Mail-SPF-v2.9.0'
 * S: '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/work/Mail-SPF-v2.9.0'

>>> Failed to emerge dev-perl/Mail-SPF-2.9.0-r1, Log file:

>>>  '/var/log/portage/build/dev-perl/Mail-SPF-2.9.0-r1:20160325-184913.log.gz'

 * Messages for package dev-perl/Mail-SPF-2.9.0-r1:

 * ERROR: dev-perl/Mail-SPF-2.9.0-r1::gentoo failed (test phase):
 *   test failed
 * 
 * Call stack:
 *     ebuild.sh, line  133:  Called src_test
 *   environment, line 2543:  Called perl-module_src_test
 *   environment, line 2184:  Called die
 * The specific snippet of code:
 *           ./Build test verbose=${my_test_verbose} || die "test failed";
 * 
 * If you need support, post the output of `emerge --info '=dev-perl/Mail-SPF-2.9.0-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-perl/Mail-SPF-2.9.0-r1::gentoo'`.
 * The complete build log is located at '/var/log/portage/build/dev-perl/Mail-SPF-2.9.0-r1:20160325-184913.log.gz'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/temp/build.log.gz'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/work/Mail-SPF-v2.9.0'
 * S: '/var/tmp/portage/dev-perl/Mail-SPF-2.9.0-r1/work/Mail-SPF-v2.9.0'
 * 
 * The following package has failed to build, install, or execute postinst:
 * 
 *  (dev-perl/Mail-SPF-2.9.0-r1:0/0::gentoo, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/build/dev-perl/Mail-SPF-2.9.0-r1:20160325-184913.log.gz'
 *
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2018-07-14 23:54:51 UTC
Could you retry with 2.9.0-r2? 

commit 2398ea4954168a50464a4ae101f7f4326861d66f
Author: Kent Fredric <kentnl@gentoo.org>
Date:   2017-11-22 19:22:15 +1300

    dev-perl/Mail-SPF: EAPI6 + tests
    
    - EAPI6ify
    - Enable tests
    - Fence out network-required tests
Comment 2 Larry the Git Cow gentoo-dev 2019-10-11 19:38:09 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd1c618deaab86d3fa3c8c48c4515e684a71650c

commit dd1c618deaab86d3fa3c8c48c4515e684a71650c
Author:     Andreas K. Hüttel <dilfridge@gentoo.org>
AuthorDate: 2019-10-11 19:37:30 +0000
Commit:     Andreas K. Hüttel <dilfridge@gentoo.org>
CommitDate: 2019-10-11 19:37:30 +0000

    dev-perl/Mail-SPF: Remove old
    
    Bug: https://bugs.gentoo.org/578246
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>

 dev-perl/Mail-SPF/Mail-SPF-2.9.0-r1.ebuild | 49 ------------------------------
 1 file changed, 49 deletions(-)
Comment 3 Andreas K. Hüttel gentoo-dev 2019-10-17 10:31:36 UTC
Is fixed now, thanks.